package capitulo04.bloque10;

public class Ejercicio03 {
    public static void main(String[] args) {
        double suma = 0;
        int contador = 0;
        double promedio;

        do {
            int num = (int) (Math.random() * 1000) + 1;
            suma += num;
            contador++;
            promedio = suma / contador;
        } while (promedio < 499.5 || promedio > 500.5);

        System.out.println("Números generados: " + contador);
        System.out.println("Valor medio: " + promedio);
    }
}

